<?php 
	
	include_once '../hamradiomag/db.php'; 
	
	dbconnect('ke5ema_toroids');
	
	if ( isset($_GET["type"]) ) {
		
		switch ($_GET["type"] ) {
		case "IronPowder":
			$sql = "SELECT * FROM IronPowder WHERE Core = '" . $_GET[selCore] . "'";
			$rs = mysql_query($sql);
			//echo $sql;
						
			$num_rows = mysql_num_rows($rs);
			if ( $num_rows > 0 ) {
				$row = mysql_fetch_array($rs);
				$AL = $row[ $_GET["selMaterial"] ];
				$IPT = $row["IPT"];
				
				if ( strcmp( $AL, 'na' ) != 0 ) {
					$N = floor( 100.0 * sqrt($_GET["txtDesiredL"] / $AL ) );		// L is in micro-Henrys (uH)
					$L = $AL * $N * $N / 10000; 
				}
			} else {
				$AL = 'na';
			}
			break;

		case "Ferrite":
			$sql = "SELECT * FROM Ferrite WHERE Core = '" . $_GET[selCore] . "'";
			$rs = mysql_query($sql);
			//echo $sql;
			
			$num_rows = mysql_num_rows($rs);
			if ( $num_rows > 0 ) {
				$row = mysql_fetch_array($rs);
				$AL = $row[ $_GET["selMaterial"] ];
				$IPT = $row["IPT"];

				if ( strcmp( $AL, 'na' ) != 0 ) {
					$N = floor( 1000.0 * sqrt( $_GET["txtDesiredL"] / $AL ) );		// L is in milli-Henrys (mH)
					$L = $AL * $N * $N / 1000000; 
				}
			}
			else {
				$AL = 'na';
			}
			break;
		}

	}
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="3600" />
  <meta name="revisit-after" content="2 days" />
  <meta name="robots" content="index,follow" />
  <meta name="publisher" content="Your publisher infos here ..." />
  <meta name="copyright" content="Your copyright infos here ..." />
  <meta name="author" content="Design: G. Wolfgang www.1-2-3-4.info / Author: Your author infos here ..." />
  <meta name="distribution" content="global" />
  <meta name="description" content="Your page description here ..." />
  <meta name="keywords" content="Your keywords, keywords, keywords, here ..." />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Toroid Calculator</title>
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body>
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Toroid Calculator</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Toroid Winding Calculator</h1>


		<h2>Ferrite</h2>
		
<script language="javascript">
	function validate_required(field,alerttxt)
	{
		with (field)
		{
			if (value==null||value=="")
			  {alert(alerttxt);return false;}
			else {return true}
		}
	}

	function validate_form(thisform)
	{
		with (thisform)
		{
			if (validate_required(txtDesiredL,"Please provide a Desired Inductance (L)") == false)
				  {txtDesiredL.focus();return false;}
		}
	}
</script>

		
		<form name="calcFerrite" action="/hamcalc/toroidcalculator.php" method="get" onsubmit="return validate_form(this);">
		<input type="hidden" name="type" value="Ferrite" />
		
		<input name="txtDesiredL" type="text" maxlength="9"
			   <?php if ( isset( $_GET[txtDesiredL] ) ) { echo 'value="' . $_GET[txtDesiredL]  . '" ' ; }
			   ?>
			   title="Specify the desired inductance for ferrite cores in millihenries (mH)."/> (mH)
			
		<select name="selCore">
		<?php
			$sql = "SELECT * FROM Ferrite";
			$rs = mysql_query($sql) or die ("<p class=err>Error - Query failed: " . mysql_error() . "</p>");
			//echo mysql_num_rows($rs);
			$i = 0;
			while( $row = mysql_fetch_array($rs) ) {
				echo '<option value="' . $row["Core"] . '"';

				// Presetlect any items that were entered...
				if ( isset($_GET["selCore"]) ) {
					// Select the matching one ...
					if ( $row["Core"] == $_GET["selCore"] ) {
						echo ' selected="selected"';
					}
				}
				else {
					// just go ahead and arbitrarily select the first...
					if ( $i == 0 ) {
						echo ' selected="selected"';
					}				
				}

				echo '>' . $row["Core"] . '</option>';
				$i++;
			}
		?>
		</select>
		
		<select name="selMaterial" >
		<?php
			$sql = "SELECT * FROM FerriteMaterial";
			$rs = mysql_query($sql) or die ("<p class=err>Error - Query failed: " . mysql_error() . "</p>");
			$i = 0;
			while( $row = mysql_fetch_array($rs) ) {
				echo '<option value="' . $row["Material"] . '"';

				// Presetlect any items that were entered...
				if ( isset($_GET["selMaterial"]) ) {
					// Select the matching one ...
					if ( $row["Material"] == $_GET["selMaterial"] ) {
						echo ' selected="selected"';
					}
				}
				else {
					// just go ahead and arbitrarily select the first...
					if ( $i == 0 ) {
						echo ' selected="selected"';
					}				
				}

				echo '>' . $row["Material"] . '</option>';
				$i++;
			}
		?>		
		</select>
		
		<input type="submit" value="Calculate" />
		<p>Enter the desired Inductance in milli-henries (mH)</p>
		</form>

		<?php
			if ( isset( $_GET["type"] ) ) {
				if ( strcmp( $_GET["type"], 'Ferrite' ) == 0 ) {
					if ( strcmp( $AL, 'na' ) == 0 ) {
						echo "<p>No Data was found for that Ferrite or it is not made in that Material.</p>";
					}
					else {
					
						echo "<p><strong>Inductance</strong><br>";
						echo "The Desired Inductance (L): " . $_GET["txtDesiredL"] . " mH<br>";
						if ($_GET["txtDesiredL"] > 0) {
						echo "Calculated Inductance: " . $L . " mH (" . round(100.0 * $L / $_GET["txtDesiredL"], 1) . "% of desired L)<br>";
						}
						echo "Turns Required: " . $N . "<br>";
						echo "Length of Wire Needed: " . round($N * $IPT + 3.0,1) . " inches / " .  round(2.54 * $N * $IPT + 2.54 * 3,1) . " cm<br><br>";
						
						$sql = "SELECT * FROM FerriteMaterial WHERE Material = '" . $_GET["selMaterial"] . "'";
						$rs = mysql_query($sql);
						$row = mysql_fetch_array($rs);
						
						echo "<strong>Toroid Detail</strong><br>";
						echo "Part Number: " . $_GET["selCore"] . '-' . $_GET["selMaterial"] . "<br>";
						echo "Color: " . $row["Color"] . "<br>";
						echo "Frequency Range: " . $row["Range"] . "<br>";
						echo "Permeability (u): " . $row["Permeability"] . "<br>";
						echo "A<sub>L</sub>: " . $AL . " mH/1000 turns</p>";						
					}
				}
			}
		?>

		<p>


		<h2>Iron Powder</h2>

		<form name="calcIronPowder" action="/hamcalc/toroidcalculator.php" method="get" onsubmit="return validate_form(this);">
		<input type="hidden" name="type" value="IronPowder" />
	
		<input name="txtDesiredL" type="text" maxlength="9" 
			   <?php if ( isset( $_GET[txtDesiredL] ) ) { echo 'value="' . $_GET[txtDesiredL]  . '" ' ; }  ?>
			   title="Specify the desired inductance for iron powder cores in microhenries (&micro;H)."/> (&micro;H)
	
		<select name="selCore">
		<?php
			$sql = "SELECT * FROM IronPowder";
			$rs = mysql_query($sql) or die ("<p class=err>Error - Query failed: " . mysql_error() . "</p>");
			echo mysql_num_rows($rs);
			$i = 0;
			while( $row = mysql_fetch_array($rs) ) {
				echo '<option value="' . $row["Core"] . '"';

				// Presetlect any items that were entered...
				if ( isset($_GET["selCore"]) ) {
					// Select the matching one ...
					if ( $row["Core"] == $_GET["selCore"] ) {
						echo ' selected="selected"';
					}
				}
				else {
					// just go ahead and arbitrarily select the first...
					if ( $i == 0 ) {
						echo ' selected="selected"';
					}				
				}

				echo '>' . $row["Core"] . '</option>';
				$i++;
			}
		?>		
		</select>
	
		<select name="selMaterial">
		<?php
			$sql = "SELECT * FROM IronPowderMaterial ORDER BY Material+0 ASC";
			$rs = mysql_query($sql) or die ("<p class=err>Error - Query failed: " . mysql_error() . "</p>");
			$i = 0;
			while( $row = mysql_fetch_array($rs) ) {
				echo '<option value="' . $row["Material"] . '"';

				// Presetlect any items that were entered...
				if ( isset($_GET["selMaterial"]) ) {
					// Select the matching one ...
					if ( $row["Material"] == $_GET["selMaterial"] ) {
						echo ' selected="selected"';
					}
				}
				else {
					// just go ahead and arbitrarily select the first...
					if ( $i == 0 ) {
						echo ' selected="selected"';
					}				
				}

				echo '>' . $row["Material"] . ' (' . $row["Color"] . ') ' . '</option>';
				$i++;
			}
		?>		
		</select>
		<input type="submit" value="Calculate" />
		<p>Enter the Desired Inductance in micro-henries (&micro;H)</p>
		</form>
	
		<?php
			if ( isset( $_GET["type"] ) ) {
				if ( strcmp( $_GET["type"], 'IronPowder' ) == 0 ) {
					if ( strcmp( $AL, 'na' ) == 0 ) {
						echo "<p>No Data was found for that Iron Powder Toroid or it is not made in that Material.</p>";
					}
					else {

						echo "<p><strong>Inductance</strong><br>";
						echo "The Desired Inductance (L): " . $_GET["txtDesiredL"] . " &micro;H<br>";
						if ( $_GET["txtDesiredL"] > 0 ) {
							echo "Calculated Inductance: " . $L . " &micro;H (" . round(100.0 * $L / $_GET["txtDesiredL"], 1) . "% of desired L)<br>";
						}
						
						echo "Turns Required: " . $N . "<br>";
						echo "Length of Wire Needed: " . round($N * $IPT + 3.0, 1) . " inches / " .  round(2.54 * $N * $IPT + 2.54 * 3, 1) . " cm<br><br>";

						$sql = "SELECT * FROM IronPowderMaterial WHERE Material = '" . $_GET["selMaterial"] . "'";
						$rs = mysql_query($sql);
						$row = mysql_fetch_array($rs);
												
						echo "<strong>Toroid Detail</strong><br>";
						echo "Part Number: " . $_GET["selCore"] . '-' . $_GET["selMaterial"] . "<br>";
						echo "Color: " . $row["Color"] . "<br>";
						echo "Frequency Range: " . $row["Range"] . "<br>";
						echo "Permeability (u): " . $row["Permeability"] . "<br>";
						echo "A<sub>L</sub>: " . $AL . " &micro;H/100 turns</p>";
					}
				}
			}
		?>
		
		<p>For more technical data, see: <a href="http://www.amidoncorp.com/specs/" target="_blank">Amidon Corporation</a></p>
 
      </div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>